Shop loyalty cards
Create Loyalty Card
Create a new loyalty card for the authenticated user
POST
/{locale}/shop/loyalty-cardsCreate a new loyalty card for the authenticated user
Authorization
bearerAuth AuthorizationBearer <token>
Enter JWT token in the format: Bearer {token}
In: header
Path Parameters
locale*string
Locale code
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/en/shop/loyalty-cards" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "message": "Loyalty card created successfully", "data": { "id": 2, "card_number": "LC00000002", "card_name": "My Store Card", "qr_code": "550e8400-e29b-41d4-a716-446655440001", "barcode_type": "QR", "card_type": "universal", "is_active": true, "points_balance": 0, "created_at": "2019-08-24T14:15:22Z" }, "code": 201}